Skip to content
Follow yggy on LinkedInFollow @yggy_tech on X

Test a provider config without saving it

POST
/api/v1/providers/test
curl --request POST \
--url https://api.yggy.tech/api/v1/providers/test \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "type": "jira", "config": {}, "credentials": { "accessToken": "example", "secret": "example" } }'
Media type application/json
object
type
required
string
Allowed values: jira confluence github gitlab slack notion linear webhook google_drive microsoft_drive gmail google_calendar outlook
config
object
key
additional properties
credentials
object
accessToken
string
secret
string

Test result

Media type application/json
object
ok
required
boolean
latencyMs
number
scopes
Array<string>
account
string
error
string
Example generated
{
"ok": true,
"latencyMs": 1,
"scopes": [
"example"
],
"account": "example",
"error": "example"
}

Invalid provider config

Media type application/json
object
ok
required
boolean
latencyMs
number
scopes
Array<string>
account
string
error
string
Example generated
{
"ok": true,
"latencyMs": 1,
"scopes": [
"example"
],
"account": "example",
"error": "example"
}